<?
$r="../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);

$pedir = $_POST['pedir'];
$cliente = $_POST['cliente'];
if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    if(empty($empresa)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    if(empty($celular)){
        echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE </h6></div>";
        exit();
    }
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    
}

$aprod = array();
foreach($_POST as $key => $item){
    $param_name = 'iden';
    if(substr($key, 0, strlen($param_name)) == $param_name) {
        $idkpro= $_POST['cod'.$item];
        $capro= $_POST['cant'.$item];
        $tpro= $_POST['tipo'.$item];
        $aprod[$idkpro]['cantidad'] = $idkpro;
    }
}
if(empty($aprod)){
    echo "<div class='alert alert-danger  alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert' aria-label='close'>&times;</a><h6>FALTA AÑADIR ALGUN PRODUCTO</h6></div>";
    exit();
}
$pago = $_POST['pago'];
$documentos = $_POST['documentos'];
$totalbase = $_POST['totalbase'];
$tiva = $_POST['tiva'];
$totalica = $_POST['totalica'];
$totalretefuente = $_POST['totalretefuente'];
$ttotal = $_POST['ttotal'];

$fecha = $_POST['fecha'];
$nota = $_POST['nota'];
$otros = $_POST['otros'];

if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];
    $ciudad = $_POST['ciudad'];
    $correo = $_POST['correo'];
    $mysqli->query("INSERT INTO `z_proveedores`( `nombre`, `correo`, `contacto1`, `idmunicipio`, `celular1` ) VALUES ('$empresa','$correo','$contacto','$ciudad','$celular')");
    $proveedor = $mysqli->insert_id;
    $mysqli->query("INSERT INTO z_orden_compra ( `idproveedor`, `proveedor`, `asesor`, `celular`, `ciudad`, `correo`, `idpago`, `subtotal`, `tiva`, `ica`, `retefuente`, `total`, `adicional`, `documentos`, `comentarios`, `fecha_entrega`) VALUE ($proveedor,'$empresa','$contacto','$celular','$ciudad','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$otros','$documentos','$nota','$fecha')");
    
}else{
    $infoclient = sinfo('z_proveedores',$cliente);
    $empresa = $infoclient['nombre'];
    $contacto = $infoclient['contacto1'];
    $celular = $infoclient['celular1'];
    $ciudad = $infoclient['idmunicipio'];
    $correo = $infoclient['correo'];
    $mysqli->query("INSERT INTO z_orden_compra ( `idproveedor`, `proveedor`, `asesor`, `celular`, `ciudad`, `correo`, `idpago`, `subtotal`, `tiva`, `ica`, `retefuente`, `total`, `adicional`, `documentos`, `comentarios`, `fecha_entrega`) VALUE ('$cliente','$empresa','$contacto','$celular','$ciudad','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$otros','$documentos','$nota','$fecha')");
}
$last_id = $mysqli->insert_id;
foreach($_POST as $key => $item){
    $param_name = 'iden';
    if(substr($key, 0, strlen($param_name)) == $param_name) {
        $idpro=str_replace("iden", "", $key);
        $idkpro= $_POST['iden'.$idpro];
        $prspro= $_POST['pres'.$idpro];
        $capro= $_POST['cant'.$idpro];
        $prpro= $_POST['prec'.$idpro];
        $priva= $_POST['iva'.$idpro];
        if (!$mysqli->query("INSERT INTO z_orden_compra_pedido (idordencompra, producto, presentacion, cantidad, precio, iva) VALUE ('$last_id','$idkpro','$prspro','$capro','$prpro','$priva')")) {
            printf("Error message: %s\n", $mysqli->error);
            exit();
        }
    }
}
echo "index.php?msg=LA COTIZACION N° $last_id SE HA REALIZADO CON ÉXTIO";
?>